/// <reference path="../../Bodypart.ts" />
/// <reference path="../../Humanoid/Humanoid.ts" />
/// <reference path="../SexStick.ts" />
/// <reference path="../SexHole.ts" />
/// <reference path="../../../Measure.ts" />
/// <reference path="HumanoidExtremity.ts" />
class HumanoidHands extends HumanoidExtremity {
    public sorenessWeight = Bodypart.WEIGHT_LOW;
    public genderWeight = Bodypart.WEIGHT_MEDIUM;
    public slots : Array<number> = [Humanoid.SLOT_HANDS];

    public getDescription () {
        let say = new Say();
        if (this.genderValue > 55) {
            say.add("Your hands are delicate and slender.");
        } else if (this.genderValue < 45) {
            say.add("Your hands are rough and large.")
        }
        if (this.nailsPainted) {
            say.add(" Your toenails are painted " + HumanoidExtremity.getColor(this.nailColor) + ".");
        }
        return say;
    }
}